AUDITFILTERD(8)

NAME
auditfilterd - audit filter daemon

SYNOPSIS
auditfilterd [-d] [-c conffile] [-p pipefile] [-t trailfile]

DESCRIPTION
The auditfilterd daemon is an extensible audit event monitoring daemon, allowing pluggable modules to track audit events from a live audit source. It is configured using the audit_filter configuration file. The source can either be a pipe or a file.

The options are as follows:

-c conffile
    Specify an alternative configuration file.

-d  Starts the daemon in debug mode — it will not daemonize.

-p pipefile
    Specify a pipe as an alternative source of audit event records. Default is /dev/auditpipe.

-t trailfile
    Specify a file as an alternative source of audit event records.

FILES
/etc/security/audit_filterd
    Default configuration file for auditfilterd.
/dev/auditpipe
    Default audit record source for auditfilterd.

SEE ALSO
audit(8), auditd(8)

HISTORY
The OpenBSM implementation was created by McAfee Research, the security division of McAfee Inc., under contract to Apple Computer Inc. in 2004. It was subsequently adopted by the TrustedBSD Project as the foundation for the OpenBSM distribution.

AUTHORS
The auditfilterd daemon and audit filter APIs were created by Robert Watson.

BUGS
auditfilterd is experimental, and should not be relied on in production. APIs and services it offers can and will change in future OpenBSM releases.